Subject: bug#21277: 25.0.50; char-fold search is a screw, and I can't see how to disable

From: Artur Malabarba <[email-masked]>
Date: Tue, 18 Aug 2015 22:58:06 +0100

2015-08-18 13:30 GMT+01:00 Tassilo Horn <[email-masked]>:
> I like that behavior because I frequently search for "some text" in
> prose, and then it allows me to find also the matches where the two
> words are wrapped around.

Me too, it's very useful in prose. I agree that it's not super useful
in code. But it's also not harmful enough in code that it should be
disabled in prose.

> But I think the `isearch-lax-whitespace' feature can still be improved:
> [...]
> I had expected that only space characters in the search string are
> replaced by `search-whitespace-regexp' but it seems that any whitespace
> character is replaced by it.  I think this is not good.

I agree.

> And IMHO, it would be a good idea to disable lax-whitespace for the
> current search as soon as the search string contains a non-space
> whitespace character.  I think if the user explicitly types C-j, C-i,
> etc. she's probably not interested in treating spaces as any-whitespace
> but wants to distinguish newlines from tabs and spaces.

I'm so sure this would be good, but I'm not sure it would be bad either.